### Method

# Soup HSTSEnforcer get_policies

#### Declaration [src]

    GList*
    soup_hsts_enforcer_get_policies (
      SoupHSTSEnforcer* hsts_enforcer,
      gboolean session_policies
    )

#### Description [src]

Gets a list with the policies in `enforcer`.

#### Parameters

`session_policies`

  Type: `gboolean`

  Whether to include session policies.

#### Return value

Type: A list of `None`

A newly allocated list of policies. Use `g_list_free_full()` and `soup_hsts_policy_free()` to free the list.

The caller of the method takes ownership of the data, and is responsible for freeing it.